Subject: New installation on Solaris 2.5

From: [email-masked]
Date: Tue, 24 Sep 1996 10:21:17 -0600 (MDT)

I need to install wu-ftp on a Solaris 2.5 machine.  I have never 
installed this software before so I would appreciate some pointers.  
First of all, where do I actually get the software and documentation?  
If anyone has any experience installing wu-ftp on Solaris 2.5 I'd 
appreciate hearing your comments/problems/solutions.

Thanks for your help.

------------------------------------------------------------------------------
Jil Godesiabois				Systems Administrator			
NOAA/ERL/FSL/DD				[email-masked]
R/E/FS3
325 Broadway				Phone:  303-497-5635
Boulder, CO 80303			FAX:	303-497-6014

---

From: "Rodney P. Rutherford" <[email-masked]>
Date: Wed, 25 Sep 1996 09:01:51 -0700 (PDT)

> appreciate hearing your comments/problems/solutions.

Hello,

I installed the generic wu-ftp on our Solaris 2.5 server.  Initially 
it ran fine, but then I was getting various access problems having to 
do with the ftpaccess file.  I ultimately ended up getting and compiling
wu-ftpd-2.4.2-beta-11.tar.gz from:

        ftp://ftp.academ.com/pub/wu-ftpd/private/wu-ftpd-2.4.2-beta-11.tar.Z
 
	NOTE: This directory is protected. Attempts to use a directory listing
	command will fail.

	Also, there very well may be a newer release as I got it in July.

After I did install the new version everything worked properly including 
my ftpaccess configuration.  The problem I originally saw was:

        ftp gets do not work.  puts work fine.  Has to do with specifying
        the use of ftpaccess.  

Below are the steps I used with the original compile and the second
compile. ( I am running gcc 2.7.2, bind 4.9.x, and sendmail 8.7.x):

        0 - run ftp.anon.shell script (modified for our site)
            this sets up the directory structure
        1 - untar the src files
        2 - untar the fix kit over src files
        3 - edit src/pathnames.h for correct paths
        4 - edit top level makefile for install target directories
        5 - manually create all install target directories
        6 - updated /usr/include/netdb.h with the following:

	/*
 	 * The following added here by RPR - Fri May 10 16:34:07 PDT 1996
 	 * This is for programs (such as wu-ftpd) that expect to find it here
 	 */
	 #define MAXHOSTNAMELEN  256

        7 - edit src/makefiles/Makefile.sol - add -DPARANOID and -DANON-ONLY
            to CFLAGS line
        8 - ./build sol
        9 - ./build install
        10 - create initial access and message files for ftp (NO shutmsg!)
        11 - copy compress to ~ftp/bin
        12 - created /public/ftp/pub/incoming and outgoing dirs, set permissions
        13 - created a /etc/shells file
        14 - updated permissions on ~ftp/bin ~ftp/bin/* ~ftp/etc to 111
        15 - updated /etc/inetd.conf with the new path to ftpd
        16 - restarted inetd
        17 - tested configuration - confirmed upload/downloads, etc.
	18 - created ftpaccess and ftpconversions files

To then compile wu-ftpd-2.4.2-beta-11.tar.gz:

        1 - left src/pathnames.h as defaults
	2 - edit config.h and added -DPARANOID and -DONON-ONLY cflags
        3 - edit top level makefile for install target directories
        4 - edit support/Makefile to change CC to gcc
        5 - edit src/makefiles/Makefile.sol - change CC to gcc
        6 - mkdir /opt/man/man1m
        7 - ./build sol
        8 - ./build install
        9 - edited /etc/inetd.conf for the new path to in-ftpd:
 
        ftp     stream  tcp   nowait  root /opt/bin/in.ftpd /opt/bin/in.ftpd -a
 
        8 - copied /opt/etc/ftpaccess (old file) to new location /etc
        9 - copied /opt/etc/ftpconversions (old file) to new location /etc
        10 - restarted inetd (kill -1 117)

The only problem I have seen since is:

        ftpd was trying to write to /usr/adm/wtmp which did not exist
        (/var/adm/wtmp) so I linked /var/adm to /usr/adm

Hope this helps,

Rodney
-- 
 |       Rodney P. Rutherford, VP Technical Services, [email-masked]        |
 | Zzyzx Workstations & Peripherals, 5893 Oberlin Drive, San Diego, CA 92121  |
 |    Phone (619) 558-7800, Fax (619) 558-0813, WWW http://www.zzyzx.com      |

---

From: Stephan Jaeger <[email-masked]>
Date: Thu, 26 Sep 96 09:45:46 +0200

Dear Rodney,

I tried to install the w3u-ftpd on a Solaris-2.5-System, too.
Sometimes anon-users have problems to get some files. Last week, a user tried  
to get a file over one of his providers and he could not get it. So he phoned  
to me, to ask why he could not get the file. While phoning with him, I tried  
to get it as anon-user and I could get it. So I asked him to try it once  
again, but his attempt failed again. So he phoned me once again and said that  
he would try another provider to get the file from our ftp-server. So he tried  
to get the file over his account at CI$ (no advertisement ;-) and he got it.  
I think it was not a question of the choice of the provider. But I don't have  
any ideas why suddenly he could get the file.
Now I have read your mail regarding the wu-ftpd's installation and I would  
like to recompile the wu-ftpd.

But I have some questions regarding your installation's description.

Begin forwarded message:

>Date: Wed, 25 Sep 1996 09:01:51 -0700 (PDT)
>Reply-To: [email-masked]
>Sender: [email-masked]
>From: "Rodney P. Rutherford" <[email-masked]>
>To: [email-masked]
>Subject: Re: New installation on Solaris 2.5
>In-Reply-To: <[email-masked]>  
from "[email-masked]" at Sep 24, 96 10:21:17 am
>X-Listprocessor-Version: 7.1 -- ListProcessor by CREN

[]

>        0 - run ftp.anon.shell script (modified for our site)

Which ftp.anon.shell script do you mean? the shell script described in the  
original ftpd man page?

>        2 - untar the fix kit over src files

Which fix kit do you mean? I didn't find any fix kit in the source tree :-/

>	 #define MAXHOSTNAMELEN  256

This definition is already done in /usr/include/netdb.h (at the end of that  
file) or am I wrong ?

>To then compile wu-ftpd-2.4.2-beta-11.tar.gz:

Why did you compile it once again??

>        (/var/adm/wtmp) so I linked /var/adm to /usr/adm

Do you know how to let wu-ftpd write into another file?

Thanks in advance for your reply,

Stephan Jaeger